#Output Name
NAME=ogle_gui_goggles

# Convert to Platform specific names
#----------------------------------------------------------
LIBNAME="$(LIBPREFIX)$(NAME)$(LIBEXT)" # libXXX.a on Linux, XXX.lib on Windows
BINNAME="$(NAME)$(BINEXT)"             # XXX on Linux, X.exe on Windows
RESWRAP=reswrap


#----------------------------------------------------------
ICONS = \
  ../icons/down_png.png \
  ../icons/eject_png.png \
  ../icons/left_png.png \
  ../icons/next_png.png \
  ../icons/pause_png.png \
  ../icons/prev_png.png \
  ../icons/right_png.png \
  ../icons/skipnext_png.png \
  ../icons/skipprev_png.png \
  ../icons/stop_png.png \
  ../icons/up_png.png \
  ../icons/fullscreen_png.png \
  ../icons/menu_png.png \
  ../icons/subtitles_png.png \
  ../icons/window_png.png \
  ../icons/exit_png.png \
  ../icons/goggleslogo_png.png \
  ../icons/fifthplanet_png.png \
  ../icons/bookset_gif.gif \
  ../icons/bookdel_gif.gif \
  ../icons/gohome_png.png \
  ../icons/goto_png.png \
  ../icons/bookopen_png.png \
  ../icons/bookclose_png.png \
  ../icons/angle_png.png \
  ../icons/audio_png.png \
  ../icons/subpicture_png.png \
  ../icons/dvd_small_png.png \
  ../icons/clock_png.png \
  ../icons/frame_image_png.png \
  ../icons/goggleslogosmall_png.png \
  ../icons/goggles_default_png.png \
  ../icons/reload.png \
  ../icons/reload_small.png

SOURCES = \
	main.cpp \
	dvdapp.cpp \
	dvdwindow.cpp \
	dvdnav.cpp \
	dvdint.cpp \
	dvdpreferences.cpp \
	dvddxr3.cpp \
	dvdxv.cpp \
	dvddesktop.cpp \
  dvdabout.cpp \
	icons.cpp

OBJECTS = \
  main${OBJEXT} \
  dvdapp${OBJEXT} \
  dvdwindow${OBJEXT} \
	dvdnav${OBJEXT} \
	dvdint${OBJEXT} \
	dvdpreferences${OBJEXT} \
	dvddxr3${OBJEXT} \
	dvdxv${OBJEXT} \
	dvddesktop${OBJEXT} \
	dvdabout${OBJEXT} \
	icons${OBJEXT}

#----------------------------------------------------------

$(BINNAME): $(OBJECTS)
	@echo "    Linking $@ ..."
#	@echo "$(LINK) $(LDFLAGS) $(OUTPUTBIN)$(BINNAME) $(OBJECTS) $(LIBS)"
	@$(LINK) $(LDFLAGS) $(OUTPUTBIN)$(BINNAME) $(OBJECTS) $(LIBS)

icons.h: $(ICONS)
	@echo "    Creating icons.h..."
	@$(RESWRAP) -i -o ../include/icons.h $(ICONS)

icons.cpp: $(ICONS)
	@echo "    Creating icons.cpp..."
	@$(RESWRAP) -e -o icons.cpp $(ICONS)

%$(OBJEXT):	%.cpp
	@echo "    Compiling $< ..."
#	@echo "$(CXX) $(CXXFLAGS) $(DEFS) $(CPPFLAGS) $(OUTPUTOBJ) $@ -c $<"
	@$(CXX) $(CXXFLAGS) $(DEFS) $(CPPFLAGS) $(OUTPUTOBJ) $@ -c $<

main.cpp: icons.h icons.cpp

#----------------------------------------------------------







